Subject: Re: bug#6305: 24.0.50; Regression: most, but not all, keyboard shortcuts are missing

From: Lennart Borgman <[email-masked]>
Date: Sun, 30 May 2010 00:11:13 +0200

On Sat, May 29, 2010 at 11:38 PM, Drew Adams <[email-masked]> wrote:
> This is a regression from 23.1 to 23.2.
>
> I don't have a recipe from emacs -Q.  I'm sure you could create one.
>
> In Emacs 22 and 23.1, keyboard shortcuts ("equivalents", if you
> prefer) are indicated correctly in menus.  In both Emacs 23.2 and
> the recent build noted below, this is horribly broken.
>
> See the three attached screenshots, for Emacs 22 (OK), Emacs 23.1
> (OK), and Emacs 23.2 (broken - build noted below or the release 23.2).
>
> There is absolutely nothing particular about the three shortcuts
> that Emacs 23.2 does happen to show correctly.  The code defining
> their menu items is the same as the code that defines the other
> items whose shortcuts do not show.
>
> The code that builds the menu is straightforward:
>
> (defvar bookmarkp-jump-map nil "...")
> (define-prefix-command 'bookmarkp-jump-map)

I have also noticed that key bindings are not always shown in the
menus, but I wondered if that was because I was using
overriding-terminal-local-map there. I havn't had time to check,
however key bindings in global map and normal minor mode maps seems to
show up fine in the menus.